### Enumeration

# GcrUi CollectionModelMode

since: 3

#### Declaration

    enum GcrUi.CollectionModelMode

#### Description [src]

If a `GcrCollectionModel` is created with a mode of `GCR_COLLECTION_MODEL_TREE`, then any included objects that are themselves a `GcrCollection`, will have all child objects include as child rows in a tree form.

Available since: 3

#### Members

`GCR_COLLECTION_MODEL_LIST`

  Only objects in the top collection, no child objects.

  - Value: `0`
  - Nickname: `None`
  - Available since: 3
`GCR_COLLECTION_MODEL_TREE`

  Show objects in the collection, and child objects in a tree form.

  - Value: `1`
  - Nickname: `None`
  - Available since: 3